> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sonarx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Reconciled Blocks

> Get reconciled blocks by block number range



## OpenAPI

````yaml GET /api/v1/customer/{chain}/blocks/reconciled
openapi: 3.1.0
info:
  title: SonarX EVM API - Blocks
  description: >-
    Query block data, receipts, and transaction counts for EVM-compatible
    networks.
  version: 1.0.0
servers:
  - url: https://api-gateway.sonarx.com
    description: Production API
security:
  - apiKey: []
tags:
  - name: Blocks
    description: Query block data, receipts, and transaction counts
paths:
  /api/v1/customer/{chain}/blocks/reconciled:
    get:
      tags:
        - Blocks
      summary: Get Reconciled Blocks
      description: Get reconciled blocks by block number range.
      operationId: getReconciledBlocks
      parameters:
        - $ref: '#/components/parameters/ChainPath'
        - name: from_block
          in: query
          description: Start block number (>= 0)
          required: true
          schema:
            type: integer
            minimum: 0
        - name: to_block
          in: query
          description: End block number (>= from_block)
          required: true
          schema:
            type: integer
            minimum: 0
        - $ref: '#/components/parameters/Limit'
        - $ref: '#/components/parameters/Offset'
      responses:
        '200':
          description: Reconciled blocks
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ReconciledBlockResponse'
              example:
                offset: 0
                limit: 10
                result:
                  - block_number: 81992161
                    timestamp: 1769104294
                    datetime: '2026-01-22T17:51:34'
                    version: 2
                  - block_number: 81991731
                    timestamp: 1769103434
                    datetime: '2026-01-22T17:37:14'
                    version: 2
                  - block_number: 81990507
                    timestamp: 1769100986
                    datetime: '2026-01-22T16:56:26'
                    version: 2
                count: 3
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '500':
          $ref: '#/components/responses/InternalError'
components:
  parameters:
    ChainPath:
      name: chain
      in: path
      description: The blockchain network to query
      required: true
      schema:
        type: string
        enum:
          - polygon
        example: polygon
    Limit:
      name: limit
      in: query
      description: Maximum number of results (1-50)
      required: false
      schema:
        type: integer
        minimum: 1
        maximum: 50
        default: 10
    Offset:
      name: offset
      in: query
      description: Number of results to skip for pagination
      required: false
      schema:
        type: integer
        minimum: 0
        default: 0
  schemas:
    ReconciledBlockResponse:
      type: object
      properties:
        offset:
          type: integer
        limit:
          type: integer
        result:
          type: array
          items:
            $ref: '#/components/schemas/ReconciledBlock'
        count:
          type: integer
          nullable: true
    ReconciledBlock:
      type: object
      description: A reconciled block with version information
      properties:
        block_number:
          type: integer
          description: The block number
        timestamp:
          type: integer
          description: Unix timestamp of the block
        datetime:
          type: string
          format: date-time
          description: ISO 8601 formatted datetime
        version:
          type: integer
          description: Reconciliation version (> 0 indicates reconciled)
      example:
        block_number: 81992161
        timestamp: 1769104294
        datetime: '2026-01-22T17:51:34'
        version: 2
    ErrorResponse:
      type: object
      properties:
        detail:
          type: string
          description: Error message
      required:
        - detail
  responses:
    BadRequest:
      description: Bad Request - Invalid parameters
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          examples:
            missingBlockNumber:
              summary: Missing block number
              value:
                detail: block_number is required
            mixedRangeParams:
              summary: Mixed block and datetime parameters
              value:
                detail: >-
                  Cannot mix block and datetime parameters. Use either
                  from_block/to_block or from_datetime/to_datetime, not both
            missingRangeParams:
              summary: No range parameters provided
              value:
                detail: >-
                  Either block range (from_block/to_block) or datetime range
                  (from_datetime/to_datetime) must be provided
            incompleteBlockRange:
              summary: Incomplete block range
              value:
                detail: Both from_block and to_block must be provided together
            incompleteDatetimeRange:
              summary: Incomplete datetime range
              value:
                detail: Both from_datetime and to_datetime must be provided together
            invalidBlockOrder:
              summary: Invalid block range order
              value:
                detail: to_block must be >= from_block
            blockRangeTooLarge:
              summary: Block range exceeds limit
              value:
                detail: Block range cannot exceed 100 blocks
    Unauthorized:
      description: Unauthorized - Invalid or missing API key
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            detail: Invalid API key
    InternalError:
      description: Internal Server Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            detail: Internal server error
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: apikey
      description: API key for authentication. Contact SonarX to obtain your API key.

````